Page MenuHomePhabricator

Rename Flow
Closed, ResolvedPublic

Description

(from T167928) "Rename the software to something more accurate, and un-squat the "Flow" term for some future thing that actually does support workflows".

For now:

  • Structured discussions (used for the project page)
  • User-facing (including api.php, with redirect and deprecation period)
  • Repository name

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 25 2017, 8:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Do you think re-using the name "Flow" in the future would be wise? That seems guaranteed to cause confusion. "Flow" as a name for wiki forum discussion software is as nice a name as any. I'm not sure renaming the MediaWiki extension is prudent.

@Jdforrester-WMF Does the api.php API count as user-facing? We could rename the flow and flow-parsoid-utils modules and have redirects (flow => newname) for a transition period.

@Jdforrester-WMF Does the api.php API count as user-facing? We could rename the flow and flow-parsoid-utils modules and have redirects (flow => newname) for a transition period.

Sure. We'd follow the regular deprecation policy in that case.

Trizek-WMF updated the task description. (Show Details)Sep 13 2017, 4:16 PM

Change 377875 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Flow@master] Rename to Structured Discussions I: i18n

https://gerrit.wikimedia.org/r/377875

Change 377892 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Flow@master] Rename to Structured Discussions II: Special pages

https://gerrit.wikimedia.org/r/377892

Change 377893 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Flow@master] Rename to Structured Discussions III: Internal name

https://gerrit.wikimedia.org/r/377893

Change 377875 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Rename to Structured Discussions I: i18n

https://gerrit.wikimedia.org/r/377875

Change 377892 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Rename to Structured Discussions II: Special pages

https://gerrit.wikimedia.org/r/377892

Just a few questions on the API client side : what about mw right id such as flow-delete ? api action: flow ? content model flow-board ? It is planned to rename them ?
In other words: do libraries or applications like Pywikibot have changes to make? I couldn't find any information about it.

Just a few questions on the API client side : what about mw right id such as flow-delete ? api action: flow ? content model flow-board ? It is planned to rename them ?
In other words: do libraries or applications like Pywikibot have changes to make? I couldn't find any information about it.

They'll change eventually, but not in the short term. Any such breaking changes will be announced in advance, don't worry.

Tgr added subscribers: Bencemac, Tgr.Jan 9 2018, 9:43 PM

It seems like a bunch of messages still refer to Structured Discussion boards as "workflows"; e.g. flow-error-no-existing-workflow ("Error message when an edit to a non-existing topic is performed.") says "This workflow does not yet exist." I imagine those should be changed as well?

It seems like a bunch of messages still refer to Structured Discussion boards as "workflows"; e.g. flow-error-no-existing-workflow ("Error message when an edit to a non-existing topic is performed.") says "This workflow does not yet exist." I imagine those should be changed as well?

Yes.

Catrope closed this task as Resolved.Jul 3 2018, 6:18 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 27 2018, 7:51 AM